{% extends "frontBase.html.twig" %}

{% block title %}
    Mes devis générés
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Mes devis générés</h1>
            <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            {% for message in app.flashes('success') %}
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-12">
                        <div class="alert alert-success">
                            {{ message }}
                        </div>
                    </div>
                </div>
                {% endfor %}

                <div class="row">
                    <div class="col-lg-4">
                        {% include 'profile/_menu.html.twig' %}
                    </div>
                    <div class="col-lg-8">
                        <div class="tab-content">
                            <div class="tab-pane" id="tab-1" style="display: block;">
                                <div class="box bg-white shadow">
                                    <h2>Mes devis générés</h2>
                                    <div class="table-responsive mb-2">
                                        <table class="table">
                                            <thead>
                                            <tr>
                                                <th>Date de création</th>
                                                <th>Fournisseur</th>
                                                <th>Achat demandé</th>
                                                <th>Actions</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            {% for generation in generations %}
                                                <tr>
                                                    <td>{{ generation.createdAt|date('d/m/Y') }}</td>
                                                    <td>{{ generation.provider }}</td>
                                                    <td>
                                                        {% if generation.isOrdered %}
                                                            <span class="badge badge-success">Oui</span>
                                                        {% else %}
                                                            <span class="badge badge-dark">Non</span>
                                                        {% endif %}
                                                    </td>
                                                    <td class="text-center">
                                                        <div class="btn-group" role="group">
                                                            <a href="#" id="btnGroupDrop{{ loop.index }}" type="button" class="badge badge-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="jam jam-align-justify"></i></a>
                                                            <div class="dropdown-menu" aria-labelledby="btnGroupDrop{{ loop.index }}" x-placement="bottom-start">
                                                                <a class="dropdown-item" href="{{ path('front_generation_show', {id: generation.id}) }}">Voir le devis</a>
                                                                {% if not generation.isOrdered %}
                                                                    <a class="dropdown-item" href="{{ path('front_quote_order', {id: generation.id}) }}">Demande d'achat</a>
                                                                {% else %}
                                                                    <a class="dropdown-item" href="{{ path('front_ticket_show', {id: generation.ticket.id}) }}">Voir le ticket associé</a>
                                                                {% endif %}
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                            {% else %}
                                                <tr>
                                                    <td class="text-center" colspan="4">Aucun ticket ouvert de votre part</td>
                                                </tr>
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="navigation">
                                        {{ knp_pagination_render(generations) }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}